@charset "utf-8";

/* ---------- 
common
----------*/
.btn-wrap{
    margin-bottom: 80px;
}

@media screen and (max-width: 700px) {
    .btn-wrap{
        margin-bottom: 60px;
    }
}


/* ---------- 
plan-content
----------*/
.plan-content .plan-main-wrap{
    width: clamp(592px, 42.29vw, calc(592px * var(--ratio)));
    margin: 0 auto;
    text-align: center;
}

.plan-content .plan-main-wrap .plan-main-image{
    border: 1px solid var(--color-line);
}

.plan-content .plan-main-wrap .plan-main-image img{
    width: 100%;
}

.plan-content .plan-main-wrap .pdf-link-wrap{
    margin-top: 40px;
}

@media screen and (min-width: 701px){
    .plan-content .plan-main-wrap .plan-main-image:hover{
        filter: brightness(0.85);
    }
}

@media screen and (max-width: 1100px) {
    .plan-content .plan-main-wrap{
        width: 60%;
    }
}

@media screen and (max-width: 700px) {
    .plan-content .plan-main-wrap{
        width: 100%;
    }

    .plan-content .plan-main-wrap .pdf-link-wrap{
        margin-top: 20px;
    }
}

/* ---------- 
plan-past-content
----------*/
.plan-past-content{
    margin-bottom: 80px;
}

.plan-past-content .plan-past-list{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 10px;
    align-items: stretch;
}
.plan-past-content .plan-past-list li{
    background-color: var(--color-sub);
    border: 1px solid var(--color-line);
}
@supports ((aspect-ratio : 1)) {
    .plan-past-content .plan-past-list li .plan-past-image{
        aspect-ratio: calc(326/184);
        height: auto;
    }
}

.plan-past-content .plan-past-list li .plan-past-image img{
    width: 100%;
}

.plan-past-content .plan-past-list li .plan-past-txt{
    padding: 30px;
    color: var(--color-text);
}

.plan-past-content .plan-past-list li .plan-past-txt p{
    line-height: calc(30/16);
    font-size: clamp(16px, 1.14vw, calc(16px * var(--ratio)));
    font-weight: 500;
}

.plan-past-content .plan-past-list li .pdf-link-wrap .link-text{
    font-weight: 400;
    letter-spacing: 0.05em;
    padding-right: 1.4em;
    margin-right: 0.5em;
    background-image: linear-gradient(var(--color-link_009BDA), var(--color-link_009BDA)), url(../../../images/common/icon-pdf.svg);
    background-size: 0% 1px, 1em 1em;
    background-position: left bottom, right center;
}

@media screen and (min-width: 701px){
    .plan-past-content .plan-past-list li a:hover .plan-past-image{
        filter: brightness(0.85);
    }
    .plan-past-content .plan-past-list li:hover .pdf-link-wrap .link-text{
        background-size: calc(100% - 1.4em) 1px, 1em 1em;
    }
}


@media screen and (max-width: 1100px) {
    .plan-past-content .plan-past-list{
        grid-template-columns: repeat(2, 1fr);
    }
}

@media screen and (max-width: 700px) {
    .plan-past-content{
        margin-bottom: 60px;
    }

    .plan-past-content .plan-past-list{
        grid-template-columns: 1fr;
    }

    .plan-past-content .plan-past-list li .plan-past-txt p{
        font-size: calc(16px / var(--fs-base) * 1rem);
    }


    .plan-past-content .plan-past-list li .pdf-link-wrap .link-text{
        font-size: calc(15px / var(--fs-base) * 1rem);
        background-size: calc(100% - 1.4em) 1px, 1em 1em;
    }
}